################################################################
# Script_Name : Change-Gdm-Background-1.0.sh
# Description : Change background image of the GDM Login screen
# on ubuntu 17.10
# Date : December 2017
# written by : Griffon
# Web Site :http://www.c-nergy.be - http://www.c-nergy.be/blog
# Version : 1.0
# Disclaimer : Script provided AS IS. Use it at your own risk....
##################################################################



#---------------------------------------------------#
# Step 0 - Credits .... 
#---------------------------------------------------#

/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
/bin/echo -e "\e[1;32mChange-Gdm-Background-1.0.sh\e[0m"
/bin/echo -e "\e[1;32mwritten by Griffon - December 2017 - Version 1.0 - Change-Gdm-Background-1.0.sh\e[0m"
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
echo

#---------------------------------------------------#
# Step 1 - Prompt for image to be used.... 
#---------------------------------------------------#

echo
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
/bin/echo -e "\e[1;32mSelecting an image...Proceeding\e[0m"
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
echo

pix=$(zenity --file-selection --title="select the new login image")

# get just name of the file 
fname=$(basename $pix)

echo $fname

#---------------------------------------------------#
# Step 2 - Copy file to correct location 
#---------------------------------------------------#

echo
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
/bin/echo -e "\e[1;32mCopy image to correct location....proceeding\e[0m"
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
echo

sudo cp $pix /usr/share/backgrounds/

#---------------------------------------------------#
# Step 3 - Update the ubuntu.css file
#---------------------------------------------------#

echo
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
/bin/echo -e "\e[1;32mUpdating the ubuntu.css file....proceeding\e[0m"
/bin/echo -e "\e[1;32m!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\e[0m"
echo

sudo cp /usr/share/gnome-shell/theme/ubuntu.css /usr/share/gnome-shell/theme/ubuntu.css.bak
sudo sed -i "/#lockDialogGroup/a  background: #2c001e url(file:///usr/share/backgrounds/${fname});\nbackground-repeat: no-repeat;\nbackground-size: cover;\nbackground-position: center;\n}\nGriffonToDel" /usr/share/gnome-shell/theme/ubuntu.css 
sudo sed -i '/GriffonToDel/,+2d' /usr/share/gnome-shell/theme/ubuntu.css 

#---------------------------------------------------#
# Step 4 - Ask User to reboot system 
#---------------------------------------------------#

echo
echo "Need to reboot your machine to see the changes....:-)"
echo 

